//go:generate mockgen -package=mock -source=api.go -destination=mock/repository.go Repository

// Package model provides structures for persistent repository
package model

import (
	"context"
)

// Repository interface abstracting specific repository
type Repository interface {
	Migrate(ctx context.Context) error
	TwitterTokenSave(ctx context.Context, m *TwitterToken) error
	TwitterTokenGetByID(ctx context.Context, id string) (*TwitterToken, error)
	TwitterTokenRequestSave(ctx context.Context, m *TwitterRequestPair) error
	TwitterTokenRequestGetByID(ctx context.Context, id string) (*TwitterRequestPair, error)
	FacebookTokenSave(ctx context.Context, m *Oauth2Token) error
	FacebookTokenGetByID(ctx context.Context, id string) (*Oauth2Token, error)
	InstagramTokenSave(ctx context.Context, m *Oauth2Token) error
	InstagramTokenGetByID(ctx context.Context, id string) (*Oauth2Token, error)
}
