package test

import (
	"github.com/golang/mock/gomock"
	oauth "gitlab.mashroom.com/mashroom/backend/oauth/api"
)

func (s *serviceSuite) TestInstagramAuthURL_ok() {
	req := &oauth.InstagramAuthUrlRequest{
		Ref: "aaa1",
	}

	s.oauth2Provider.EXPECT().AuthCodeURL(req.GetRef(), gomock.Any()).Return("bbb1")

	resp, err := s.srv.InstagramAuthUrl(s.testCtx, req)
	s.Require().NoError(err)

	s.Require().Equal(&oauth.InstagramAuthUrlResponse{
		Url: "bbb1",
	}, resp)
}
